=== debian/changelog ===
ros-foxy-rosbag2-transport (0.3.11-1focal) focal; urgency=high

  * [foxy] Fix YAML_CPP_DLL warnings on Windows (#1353 <https://github.com/ros2/rosbag2/issues/1353>)
  * [backport foxy] Add QoS decoding translation for infinite durations to RMW_DURATION_INFINITE (backport #684 <https://github.com/ros2/rosbag2/issues/684>) (#1088 <https://github.com/ros2/rosbag2/issues/1088>)
  * Copy recorder QoS profile to local variable so that temporary value isn't cleared (#803 <https://github.com/ros2/rosbag2/issues/803>) (#1335 <https://github.com/ros2/rosbag2/issues/1335>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.10-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.9-1focal) focal; urgency=high

  * Fixed inability to record hidden topics (#835 <https://github.com/ros2/rosbag2/issues/835>)
  * Contributors: Cameron Miller

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.8-1focal) focal; urgency=high

  * [backport Foxy] Fixed playing if unknown message types exist (backports #592 <https://github.com/ros2/rosbag2/issues/592>) (#686 <https://github.com/ros2/rosbag2/issues/686>)
  * [backport Foxy] More reliable topic remapping test (backports #456 <https://github.com/ros2/rosbag2/issues/456>) (#817 <https://github.com/ros2/rosbag2/issues/817>)
  * [backport Foxy] Handle SIGTERM gracefully in recording (#809 <https://github.com/ros2/rosbag2/issues/809>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.5-1focal) focal; urgency=high

  * resolve memory leak for serialized message (#502 <https://github.com/ros2/rosbag2/issues/502>) (#518 <https://github.com/ros2/rosbag2/issues/518>)
  * Use shared logic for importing the rosbag2_transport_py library in Python (#482 <https://github.com/ros2/rosbag2/issues/482>) (#494 <https://github.com/ros2/rosbag2/issues/494>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.4-1focal) focal; urgency=high

  * fix missing target dependencies (#479 <https://github.com/ros2/rosbag2/issues/479>) (#481 <https://github.com/ros2/rosbag2/issues/481>)
    Co-authored-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.3-1focal) focal; urgency=high

  * export shared_queues_vendor for modern cmake support (#434 <https://github.com/ros2/rosbag2/issues/434>) (#438 <https://github.com/ros2/rosbag2/issues/438>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.1-1focal) focal; urgency=high

  * Find rosbag2_cpp (tinyxml2) before rcl (#423 <https://github.com/ros2/rosbag2/issues/423>)
  * Shared publisher handle (#420 <https://github.com/ros2/rosbag2/issues/420>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.8-1focal) focal; urgency=high

  * Explicitly add DLL directories for Windows before importing (#411 <https://github.com/ros2/rosbag2/issues/411>)
  * Contributors: Jacob Perron

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.7-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#406 <https://github.com/ros2/rosbag2/issues/406>)
  * Contributors: Ivan Santiago Paunovic

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.6-1focal) focal; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.5-1focal) focal; urgency=high

  * add topic remapping option to rosbag2 play (#388 <https://github.com/ros2/rosbag2/issues/388>)
  * add missing test dependency (#392 <https://github.com/ros2/rosbag2/issues/392>)
  * use serialized message (#386 <https://github.com/ros2/rosbag2/issues/386>)
  * Adaptive playback qos based on recorded metadata (#364 <https://github.com/ros2/rosbag2/issues/364>)
  * Add loop option to rosbag play (#361 <https://github.com/ros2/rosbag2/issues/361>)
  * Move qos utilities to their own compilation unit (#379 <https://github.com/ros2/rosbag2/issues/379>)
  * Expose BaseReaderInterface's BagMetadata  (#377 <https://github.com/ros2/rosbag2/issues/377>)
  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Fix Action CI tests to pass reliably (#376 <https://github.com/ros2/rosbag2/issues/376>)
  * Update GenericSubscription's handle_message signature (#373 <https://github.com/ros2/rosbag2/issues/373>)

