=== debian/control ===
Source: ros-foxy-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-ros, ros-foxy-ament-index-cpp <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-python-cmake-module, ros-foxy-rclcpp, ros-foxy-rmw, ros-foxy-rmw-implementation-cmake <!nocheck>, ros-foxy-rosbag2-compression, ros-foxy-rosbag2-cpp, ros-foxy-rosbag2-storage, ros-foxy-rosbag2-test-common <!nocheck>, ros-foxy-rpyutils, ros-foxy-shared-queues-vendor, ros-foxy-test-msgs <!nocheck>, ros-foxy-yaml-cpp-vendor, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-python-cmake-module, ros-foxy-rclcpp, ros-foxy-rmw, ros-foxy-rosbag2-compression, ros-foxy-rosbag2-cpp, ros-foxy-rosbag2-storage, ros-foxy-rpyutils, ros-foxy-shared-queues-vendor, ros-foxy-yaml-cpp-vendor, ros-foxy-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware
